# eric7.WebBrowser.UrlBar.SslLabel

Module implementing the label to show some SSL info (if available).

### Global Attributes

None

### Classes

SslLabel | Class implementing the label to show some SSL info (if available).

### Functions

None

## SslLabel

Class implementing the label to show some SSL info (if available).

### Derived from

EricClickableLabel

### Class Attributes

nokStyle
okStyle

### Class Methods

None

### Methods

SslLabel | Constructor
setValidity | Public method to set the validity indication.

### Static Methods

None

#### SslLabel (Constructor)

SslLabel(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### SslLabel.setValidity

setValidity(valid)

Public method to set the validity indication.

valid
  flag indicating the certificate validity (boolean)

Up